package org.synbiowave.restrsites.db;

import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Vector;

public class DataFetcher {
	public static String fetch(){
	try{
	    URL url=new URL("http://rebase.neb.com/rebase/link_gcg");
	    HttpURLConnection connection=(HttpURLConnection)url.openConnection();
	    connection.setRequestProperty( "User-Agent","Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.8) Gecko/20100722 Firefox/3.6.8 GTB7.1 ( .NET CLR 3.5.30729)");
	    InputStream in = connection.getInputStream();
	    
	    StringBuffer sb = new StringBuffer("");
	    byte[] buffer = new byte[1024]; // or whatever you like
	    int count;
	    while ((count = in.read(buffer)) > 0){
	      sb.append(new String(buffer));
	   //   buffer= new byte[8192];
	    }
	    
	    String sbFullFile = sb.toString();
	    String strRecords = sbFullFile.substring(sbFullFile.indexOf(".."), sbFullFile.length());
	   return(strRecords);
	    } 
	   catch(MalformedURLException e){
		   System.out.println(e.toString());
		   }
	   catch(IOException e){
		   System.out.println(e.toString());
		   }
	return null;
	   }
	
	public static Vector<DBEnzymes> process(String strRaw){
		Vector<DBEnzymes> vecEnzymes = new Vector<DBEnzymes>();
		
		String[] enzRows = strRaw.split("\n");
		for(int i = 1; i < enzRows.length; i++){
			
		String[] strRecord = enzRows[i].split("\\s{1,}");
		if((strRecord.length>=3)&&(strRecord[0].indexOf(';')==-1)){
			DBEnzymes dbRec = new DBEnzymes(strRecord[0], strRecord[2].replaceAll("'", "").replaceAll("_", ""), Integer.parseInt(strRecord[1]));
			vecEnzymes.add(dbRec);
		}}
		
		return vecEnzymes;
	}
	public static void main(String args[]){
		Vector<DBEnzymes> VecEnzymes = process(fetch());
		for(int i=0; i < VecEnzymes.size(); i++){
			System.out.println(VecEnzymes.get(i).getName() +  VecEnzymes.get(i).getName());
		//	DBManager.store(VecEnzymes.get(i));
		}

	}
}